## ros-jazzy-moveit-ros-move-group 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-ros-move-group (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Remove extraneous error message from URDF service (#2736 <https://github.com/moveit/moveit2/issues/2736>)
  * Add parameter api integration test (#2662 <https://github.com/moveit/moveit2/issues/2662>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Get robot description from topic in GetUrdfService (#2681 <https://github.com/moveit/moveit2/issues/2681>)
  * Fix bug in GetUrdfService move_group capability  (#2669 <https://github.com/moveit/moveit2/issues/2669>)
    * Take both possible closings for links into account
    * Make CI happy
  * avoid a relative jump threshold of 0.0 (#2654 <https://github.com/moveit/moveit2/issues/2654>)
  * Add get group urdf capability (#2649 <https://github.com/moveit/moveit2/issues/2649>)
  * Contributors: Abishalini Sivaraman, Ezra Brooks, Mario Prats, Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-ros-move-group (2.9.0-2bookworm) bookworm; urgency=high

  * Fix warning and cleanup unneeded placeholders (#2566 <https://github.com/ros-planning/moveit2/issues/2566>)
    * Fix warning and cleanup unneeded placeholders
    * Make clang-tidy happy
    * Remove print statement
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Factor out path joint-space jump check (#2506 <https://github.com/ros-planning/moveit2/issues/2506>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Use generate parameters library in PlanningPipelineClass + general cleanups (#2288 <https://github.com/ros-planning/moveit2/issues/2288>)
    * Don't discard stuff
    * Move constants into source file
    * Move static consts into header
    * Don't ignore pipeline result
    * Use generate parameter library for planning pipeline parameters
    * Fix CI
    * More CI fixes
    * Remove more state from planning pipeline
    * Small cleanups
    * Assert planner_instance_ is not a nullptr
    * Remove valid variable
    * Simplify logic for trajectory printing
    * More helpful comments
    * Small logic simplification by using break
    * Fix clang-tidy
    * Pre-commit + Deprecate functions instead of removing them
    * Fix CI
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Remove old deprecated functions (#2384 <https://github.com/ros-planning/moveit2/issues/2384>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Mario Prats, Marq Rasmussen, Rayene Messaoud, Sebastian Jahr, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-ros-move-group (2.8.0-2bookworm) bookworm; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Specify controller name in MGI execution (#2257 <https://github.com/ros-planning/moveit2/issues/2257>)
    * Specify controller name in MGI execute
    * Finish comment
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * fix move_group capabilities loading (#2270 <https://github.com/ros-planning/moveit2/issues/2270>)
    * fix move_group capabilities loading
    * clang-format
  * Cleanup move_group CMake (#2226 <https://github.com/ros-planning/moveit2/issues/2226>)
  * Contributors: Shobuj Paul, Stephanie Eng, Tyler Weaver, Yang Lin

 -- Michael Görner <me@v4hn.de>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-ros-move-group (2.7.4-2bookworm) bookworm; urgency=high

  * Fix MoveGroup action cancel callback (#2118 <https://github.com/ros-planning/moveit2/issues/2118>)
    Moves the execution callback into its own thread to avoid blocking and actually calls the preempt function in with the cancel callback.
  * Scale acceleration and velocity of cartesian interpolations (#1968 <https://github.com/ros-planning/moveit2/issues/1968>)
  * Contributors: Jonathan Grebe, Yadu

 -- Michael Görner <me@v4hn.de>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-ros-move-group (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Michael Görner <me@v4hn.de>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-move-group (2.7.2-2bookworm) bookworm; urgency=high


